import { RawJSONVis } from '@graphpolaris/shared/lib/vis';
import { createSlice, PayloadAction } from '@reduxjs/toolkit';
import type { RootState } from './store';

export enum Visualizations {
  NodeLink = 'NodeLink',
  Paohvis = 'Paohvis',
  RawJSON = 'RawJSON',
}

type VisState = {
  activeVisualization: Visualizations;
};

export const initialState: VisState = {
  activeVisualization: Visualizations.NodeLink,
};

export const visualizationSlice = createSlice({
  name: 'visualization',
  initialState,
  reducers: {
    setActiveVisualization: (state, action: PayloadAction<Visualizations>) => {
      state.activeVisualization = action.payload;
    },
  },
});

export const { setActiveVisualization } = visualizationSlice.actions;

export const visualizationState = (state: RootState) => state.visualize;
export default visualizationSlice.reducer;
